=== debian/changelog ===
ros-indigo-laser-odometry-node (0.1.0-0trusty) trusty; urgency=high

  * add pose increment publication in node
  * Contributors: Jeremie Deray

 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Thu, 25 May 2017 22:00:00 -0000

ros-indigo-laser-odometry-node (0.0.2-0trusty) trusty; urgency=high



 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Mon, 22 May 2017 22:00:00 -0000

ros-indigo-laser-odometry-node (0.0.1-0trusty) trusty; urgency=high

  * added metapkg, renamed laser_odometry to laser_odometry_node
  * Contributors: Procópio Stein

 -- Jeremie Deray <jeremie.deray@pal-robotics.com>  Mon, 22 May 2017 22:00:00 -0000
