=== debian/control ===
Source: ros-indigo-laser-odometry-node
Section: misc
Priority: extra
Maintainer: Jeremie Deray <jeremie.deray@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), python, ros-indigo-catkin, ros-indigo-laser-odometry-core, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-laser-odometry-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ros-indigo-laser-odometry-core, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-topic-tools
Description: Node package of the laser_odometry project.
 It contains the ROS node that instantiate the laser scan matcher plugin. It also defines and centralizes some of the common steps to aggregate a consecutive laser scan displacement estimates to a proper odometry.
